=== debian/changelog ===
crow-translate (2.10.5~sparky7~0-1) UNRELEASED; urgency=medium

  * Initial release. (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- pavroo <pavroo@onet.eu>  Sat, 20 May 2023 18:09:49 +0000
