=== debian/control ===
Source: crow-translate
Section: devel
Priority: optional
Maintainer: pavroo <pavroo@onet.eu>
Build-Depends: debhelper-compat (= 12), cmake, extra-cmake-modules, qttools5-dev, libqt5x11extras5-dev, qtmultimedia5-dev, libtesseract-dev, libkf5wayland-dev
Standards-Version: 4.4.1
Homepage: https://crow-translate.github.io/
#Vcs-Browser: https://salsa.debian.org/debian/crow-translate
#Vcs-Git: https://salsa.debian.org/debian/crow-translate.git

Package: crow-translate
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: A simple and lightweight translator that allows to translate and say selected text using Google, Yandex and Bing translate API.
