## crow-translate 2.11.0+git20231031+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,17 +1,18 @@
 cmake_minimum_required(VERSION 3.16.0)
 
 project(crow-translate
-    VERSION 2.10.5
+    VERSION 2.11.0
     DESCRIPTION "A simple and lightweight translator that allows to translate and speak text using Google, Yandex, Bing, LibreTranslate and Lingva"
     HOMEPAGE_URL crow-translate.github.io
     LANGUAGES CXX
 )
 
 set(APPLICATION_NAME "Crow Translate")
+set(APPLICATION_ID "io.crow_translate.CrowTranslate")
 set(EXECUTABLE_NAME crow)
 if(UNIX)
-    set(DESKTOP_FILE io.crow_translate.CrowTranslate.desktop)
-    set(METAINFO_FILE io.crow_translate.CrowTranslate.metainfo.xml)
+    set(DESKTOP_FILE ${APPLICATION_ID}.desktop)
+    set(METAINFO_FILE ${APPLICATION_ID}.metainfo.xml)
 endif()
 
 set(CPACK_PACKAGE_VENDOR ${APPLICATION_NAME})
@@ -77,9 +78,11 @@
 find_package(Tesseract REQUIRED)
 if(UNIX)
     find_package(Qt5 REQUIRED COMPONENTS DBus)
-    find_package(XCB REQUIRED COMPONENTS XCB)
-    if(WITH_KWAYLAND)
-        find_package(KF5Wayland REQUIRED COMPONENTS Client)
+    if(NOT APPLE)
+        find_package(XCB REQUIRED COMPONENTS XCB)
+        if(WITH_KWAYLAND)
+            find_package(KF5Wayland REQUIRED COMPONENTS Client)
+        endif()
     endif()
 endif()
 
@@ -87,7 +90,8 @@
 include(CPack)
 if(UNIX)
     include(ECMInstallIcons)
-elseif(WIN32)
+endif()
+if(WIN32 OR APPLE)
     include(ECMAddAppIcon)
 endif()
 
@@ -111,6 +115,7 @@
     data/translations/${PROJECT_NAME}_de_DE.ts
     data/translations/${PROJECT_NAME}_el_GR.ts
     data/translations/${PROJECT_NAME}_es_ES.ts
+    data/translations/${PROJECT_NAME}_eu_ES.ts
     data/translations/${PROJECT_NAME}_fi_FI.ts
     data/translations/${PROJECT_NAME}_fr_FR.ts
     data/translations/${PROJECT_NAME}_hi_IN.ts
@@ -180,7 +185,7 @@
     src/trayicon.cpp
 )
 
-if(UNIX)
+if(UNIX AND NOT APPLE)
     target_sources(${PROJECT_NAME} PRIVATE
         src/xdgdesktopportal.cpp
         src/ocr/screengrabbers/dbusscreengrabber.cpp
@@ -195,6 +200,14 @@
             src/waylandhelper.cpp
         )
     endif(WITH_KWAYLAND)
+elseif(APPLE)
+    ecm_add_app_icon(MACOS_ICON ICONS ${APP_ICONS})
+
+    target_sources(${PROJECT_NAME} PRIVATE
+        ${MACOS_ICON}
+        data/icons/app/app.qrc
+        src/settings/autostartmanager/macosautostartmanager.cpp
+    )
 elseif(WIN32)
     ecm_add_app_icon(WINDOWS_ICON ICONS ${APP_ICONS})
 
@@ -220,10 +233,13 @@
 )
 
 if(UNIX)
-    target_link_libraries(${PROJECT_NAME} PRIVATE Qt5::DBus XCB::XCB)
-    if(WITH_KWAYLAND)
-        target_link_libraries(${PROJECT_NAME} PRIVATE KF5::WaylandClient)
-        target_compile_definitions(${PROJECT_NAME} PRIVATE WITH_KWAYLAND)
+    target_link_libraries(${PROJECT_NAME} PRIVATE Qt5::DBus)
+    if(NOT APPLE)
+        target_link_libraries(${PROJECT_NAME} PRIVATE XCB::XCB)
+        if(WITH_KWAYLAND)
+            target_link_libraries(${PROJECT_NAME} PRIVATE KF5::WaylandClient)
+            target_compile_definitions(${PROJECT_NAME} PRIVATE WITH_KWAYLAND)
+        endif()
     endif()
 elseif(WIN32)
     target_link_libraries(${PROJECT_NAME} PRIVATE QGitTag::QGitTag)
@@ -233,9 +249,9 @@
     target_compile_definitions(${PROJECT_NAME} PRIVATE WITH_PORTABLE_MODE)
 endif()
 
-if(UNIX)
+if(UNIX AND NOT APPLE)
     install(TARGETS ${PROJECT_NAME})
-    install(FILES ${QM_FILES} DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/${APPLICATION_NAME}/${APPLICATION_NAME}/translations)
+    install(FILES ${QM_FILES} DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/${PROJECT_NAME}/${PROJECT_NAME}/translations)
     install(FILES data/${DESKTOP_FILE} DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/applications)
     install(FILES data/${METAINFO_FILE} DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/metainfo)
 
@@ -251,6 +267,15 @@
         data/icons/app/sc-status-crow-translate-tray-dark.svg
         data/icons/app/sc-status-crow-translate-tray-light.svg
         DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons
+    )
+elseif(APPLE)
+    set_target_properties(${PROJECT_NAME} PROPERTIES
+        MACOSX_BUNDLE ON
+        MACOSX_BUNDLE_BUNDLE_NAME ${APPLICATION_NAME}
+        MACOSX_BUNDLE_BUNDLE_VERSION ${PROJECT_VERSION}
+        MACOSX_BUNDLE_GUI_IDENTIFIER ${APPLICATION_ID}
+        MACOSX_BUNDLE_INFO_STRING ${PROJECT_DESCRIPTION}
+        RESOURCE "${QM_FILES}"
     )
 elseif(WIN32)
     install(TARGETS ${PROJECT_NAME} DESTINATION .)
