=== debian/changelog ===
crow-translate (2.11.0+git20231031+ds-1) unstable; urgency=medium

  * Initial release (Closes: #973608)

 -- Dmitry Ilyich Sidorov <jonmagon@gmail.com>  Mon, 15 May 2023 07:32:40 -0400
