=== debian/control ===
Source: crow-translate
Section: utils
Priority: optional
Maintainer: Dmitry Ilyich Sidorov <jonmagon@gmail.com>
Uploaders: Gürkan Myczko <tar@debian.org>
Build-Depends:
  debhelper-compat (= 13),
  cmake,
  extra-cmake-modules,
  qttools5-dev,
  libqt5x11extras5-dev,
  qtmultimedia5-dev,
  libtesseract-dev,
  libkf5wayland-dev
Standards-Version: 4.6.2
Homepage: https://github.com/crow-translate/crow-translate
Vcs-Browser: https://salsa.debian.org/debian/crow-translate
Vcs-Git: https://salsa.debian.org/debian/crow-translate.git
Rules-Requires-Root: no

Package: crow-translate
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: simple and lightweight translator
 This is a simple and lightweight translator that allows you
 to translate and speak text using Google, Yandex, Bing,
 LibreTranslate and Lingva translate API.
