## crow-translate 2.11.1%2Bgit20240108%2Bds

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.16.0)
 
 project(crow-translate
-    VERSION 2.11.0
+    VERSION 2.11.1
     DESCRIPTION "A simple and lightweight translator that allows to translate and speak text using Google, Yandex, Bing, LibreTranslate and Lingva"
     HOMEPAGE_URL crow-translate.github.io
     LANGUAGES CXX
@@ -80,6 +80,7 @@
     find_package(Qt5 REQUIRED COMPONENTS DBus)
     if(NOT APPLE)
         find_package(XCB REQUIRED COMPONENTS XCB)
+        find_package(Qt5 REQUIRED COMPONENTS X11Extras)
         if(WITH_KWAYLAND)
             find_package(KF5Wayland REQUIRED COMPONENTS Client)
         endif()
@@ -144,8 +145,8 @@
     ${QM_FILES}
     data/icons/icon-theme.qrc
     data/icons/engines/engines.qrc
-    src/addlanguagedialog.cpp
-    src/addlanguagedialog.ui
+    src/languagesdialog.cpp
+    src/languagesdialog.ui
     src/cli.cpp
     src/contextmenu.cpp
     src/languagebuttonswidget.cpp
@@ -235,7 +236,10 @@
 if(UNIX)
     target_link_libraries(${PROJECT_NAME} PRIVATE Qt5::DBus)
     if(NOT APPLE)
-        target_link_libraries(${PROJECT_NAME} PRIVATE XCB::XCB)
+        target_link_libraries(${PROJECT_NAME} PRIVATE
+            XCB::XCB
+            Qt5::X11Extras
+        )
         if(WITH_KWAYLAND)
             target_link_libraries(${PROJECT_NAME} PRIVATE KF5::WaylandClient)
             target_compile_definitions(${PROJECT_NAME} PRIVATE WITH_KWAYLAND)
