=== debian/changelog ===
crow-translate (2.11.1+git20240108+ds-1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 19 May 2024 10:55:09 -0700

crow-translate (2.11.1+git20240108+ds-1) unstable; urgency=medium

  * New upstream version.
  * d/copyright: bump years, add myself.

 -- Gürkan Myczko <tar@debian.org>  Mon, 08 Jan 2024 11:38:50 +0100
