=== debian/changelog ===
crow-translate (2.11.1+git20240108+ds-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 19 May 2024 10:55:09 -0700
