## crow-translate 3.1.0

=== debian/changelog ===
crow-translate (3.1.0-0zneon+24.04+noble+release+build12) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Fri, 06 Jun 2025 03:01:48 +0000

crow-translate (3.1.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 25 Oct 2024 17:06:09 +0000

crow-translate (3.0.0-0neon) noble; urgency=medium

  * Initial release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Fri, 05 Jul 2024 21:52:54 +1000

crow-translate (2.11.1+git20240901-0) noble; urgency=medium

  * Initial release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Fri, 05 Jul 2024 21:52:54 +1000
