=== debian/control ===
Source: crow-translate
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               libkf5wayland-dev,
               libqt5x11extras5-dev,
               libtesseract-dev,
               pkg-kde-tools,
               qtbase5-dev,
               qtmultimedia5-dev,
               qttools5-private-dev,
               qtwayland5-private-dev
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/office/crow-translate
Vcs-Git: https://invent.kde.org/neon/neon-packaging/crow-translate.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/crow-translate
Maintainer: Neon CI <neon@kde.org>

Package: crow-translate
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt6 based translator app.
 Crow Translate is a simple and lightweight translator written in C++ / Qt that
 allows you to translate and speak text using Mozhi.
