## crow-translate 3.1.0+p24.04+vstable+git20260126.0712

=== debian/changelog ===
crow-translate (3.1.0+p24.04+vstable+git20260126.0712-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 26 Jan 2026 07:12:20 +0000
