## crow-translate 3.1.0+p24.04+vstable+git20260131.1255

=== debian/changelog ===
crow-translate (3.1.0+p24.04+vstable+git20260131.1255-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 31 Jan 2026 12:56:11 +0000
