=== debian/control ===
--- 
+++ 
@@ -3,14 +3,16 @@
 Build-Depends: cmake,
                debhelper-compat (= 13),
                kf6-extra-cmake-modules,
-               libkf5wayland-dev,
-               libqt5x11extras5-dev,
+               kf6-kwayland-dev,
                libtesseract-dev,
                pkg-kde-tools,
-               qtbase5-dev,
-               qtmultimedia5-dev,
-               qttools5-private-dev,
-               qtwayland5-private-dev
+               qt6-5compat-dev,
+               qt6-base-dev,
+               qt6-multimedia-dev,
+               qt6-scxml-dev,
+               qt6-speech-dev,
+               qt6-tools-dev,
+               qt6-wayland-dev
 Standards-Version: 4.6.2
 Homepage: https://invent.kde.org/office/crow-translate
 Vcs-Git: https://invent.kde.org/neon/neon-packaging/crow-translate.git
@@ -18,6 +20,7 @@
 Maintainer: Neon CI <neon@kde.org>
 
 Package: crow-translate
+Section: kde
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
