## crow-translate 3.1.0+p24.04+vunstable+git20251202.0951

=== debian/changelog ===
crow-translate (3.1.0+p24.04+vunstable+git20251202.0951-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 02 Dec 2025 09:51:44 +0000
