## crow-translate 3.1.0+p24.04+vunstable+git20251206.0306

=== debian/changelog ===
crow-translate (3.1.0+p24.04+vunstable+git20251206.0306-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 06 Dec 2025 03:07:03 +0000
