## crow-translate 3.1.0+p24.04+vunstable+git20251208.0206

=== debian/changelog ===
crow-translate (3.1.0+p24.04+vunstable+git20251208.0206-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 02:07:11 +0000
