## crow-translate 3.1.0+p24.04+vunstable+git20260201.0546

=== debian/changelog ===
crow-translate (3.1.0+p24.04+vunstable+git20260201.0546-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 01 Feb 2026 05:47:14 +0000
